using Microsoft.Extensions.DependencyInjection;
using NPin.Framework.Caching.FreeRedis;
using NPin.Framework.Upms.Domain.Shared;
using Volo.Abp.AspNetCore.SignalR;
using Volo.Abp.Caching;
using Volo.Abp.Domain;

namespace NPin.Framework.Upms.Domain;

[DependsOn(
    typeof(NPinFrameworkUpmsDomainSharedModule),
    typeof(NPinFrameworkCachingFreeRedisModule),
    // Abp
    typeof(AbpAspNetCoreSignalRModule),
    typeof(AbpDddDomainModule),
    typeof(AbpCachingModule)
)]
public class NPinFrameworkUpmsDomainModule : AbpModule
{
    public override void ConfigureServices(ServiceConfigurationContext context)
    {
        var services = context.Services;
        var configuration = services.GetConfiguration();
        services.AddControllers(opts =>
        {
            // opts.Filters.Add()
        });
        
        // 配置短信
        // Configure<AliyunOptions>();
    }
}